M_ActivityMonsterGiftBoxCFG = {}

function M_ActivityMonsterGiftBoxCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityMonsterGiftBoxCFG:init()
	self.datas = {}
	self.datas[1] = {Id = 1, ItemId = 256, ItemCount = 50, IntegralItem = 274, IntegralCount = 400, ArmsId = 0}
	self.datas[2] = {Id = 2, ItemId = 256, ItemCount = 100, IntegralItem = 274, IntegralCount = 800, ArmsId = 0}
	self.datas[3] = {Id = 3, ItemId = 250, ItemCount = 1, IntegralItem = 274, IntegralCount = 1200, ArmsId = 4}
	self.datas[4] = {Id = 4, ItemId = 251, ItemCount = 1, IntegralItem = 274, IntegralCount = 1500, ArmsId = 5}
	self.datas[5] = {Id = 5, ItemId = 252, ItemCount = 1, IntegralItem = 274, IntegralCount = 2000, ArmsId = 6}
	self.datas[6] = {Id = 6, ItemId = 252, ItemCount = 1, IntegralItem = 274, IntegralCount = 2500, ArmsId = 6}
end

M_ActivityMonsterGiftBoxCFG:init()
